jQuery(document).ready(function($) {
    $('#p1cm-meta-authority-magnet-report-select').on('change', function() {
        if( ! $(this).val()) {
            $('#p1cm-meta-authority-magnet-report-content').html('');
            return;
        }
        $.post(ajaxurl, {
            action: 'p1cm-authority-magnet-get-report',
            id: $(this).val()
        }, function(response) {
            $('#p1cm-meta-authority-magnet-report-content').html(response);
        });
    });
});